=== debian/control ===
Source: golang-github-charlievieth-fastwalk
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Vincent Blut <vincent.debian@free.fr>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk.git
Homepage: https://github.com/charlievieth/fastwalk
XS-Go-Import-Path: github.com/charlievieth/fastwalk

Package: golang-github-charlievieth-fastwalk-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Fast directory traversal for Golang (library)
 Fast parallel directory traversal for Golang.
 .
 Package fastwalk provides a fast parallel version of filepath.WalkDir that is
 ~2x faster on macOS, ~4x faster on Linux, ~6x faster on Windows, allocates
 50% less memory, and requires 25% fewer memory allocations.
 Additionally, it is ~4-5x faster than godirwalk across OSes.
 .
 Inspired by and based off of golang.org/x/tools/internal/fastwalk.
