## golang-github-charlievieth-fastwalk 1.0.12

=== debian/changelog ===
golang-github-charlievieth-fastwalk (1.0.12-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump Standards-Version to 4.7.2
  * d/gitlab-ci.yml: Update to run Salsa CI

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 21 Aug 2025 03:17:36 +0530

golang-github-charlievieth-fastwalk (1.0.9-1) unstable; urgency=medium

  * New upstream release
  * d/patches/: Drop fix-TestSortModeString.patch, applied upstream

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 26 Oct 2024 12:03:40 +0530
