## golang-github-charlievieth-fastwalk 1.0.13

=== debian/changelog ===
golang-github-charlievieth-fastwalk (1.0.13-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years for debian/*
  * d/copyright: Fix 'superfluous-file-pattern' lintian warning
  * d/watch: Update to version 5

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 10 Sep 2025 20:28:00 +0530
