=== debian/changelog ===
golang-github-charlievieth-fastwalk (1.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 11 Sep 2025 01:53:44 +0530
