=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-golang,
                golang-any
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk.git
 Homepage: https://github.com/charlievieth/fastwalk
