=== debian/watch ===
Version: 5

Template: Github
Owner: charlievieth
Project: fastwalk
